import { BaseXform } from "../base-xform.js";
interface StringXformOptions {
    tag: string;
    attr?: string;
    attrs?: any;
}
declare class StringXform extends BaseXform {
    private tag;
    private attr?;
    private attrs?;
    private text;
    constructor(options: StringXformOptions);
    render(xmlStream: any, model?: string): void;
    parseOpen(node: any): void;
    parseText(text: string): void;
    parseClose(): boolean;
}
export { StringXform };
